libgwenhywfar (5.14.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * debian/patches/hurd.diff: New patch to fix build on GNU/Hurd.

 -- Micha Lenk <micha@debian.org>  Mon, 22 Dec 2025 12:29:58 +0100

libgwenhywfar (5.14.1-1) unstable; urgency=medium

  * New upstream version 5.14.1.
  * debian/libgwenhywfar79t64.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Tue, 09 Dec 2025 19:50:36 +0100

libgwenhywfar (5.13.0-2) unstable; urgency=medium

  * Upload to unstable (closes: #1121212).

 -- Micha Lenk <micha@debian.org>  Sun, 23 Nov 2025 11:17:47 +0100

libgwenhywfar (5.13.0-1) experimental; urgency=medium

  * New upstream version 5.13.0
  * debian/libgwenhywfar79t64.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Mon, 13 Oct 2025 23:37:09 +0200

libgwenhywfar (5.12.2-1) experimental; urgency=medium

  * New upstream version 5.12.2.
  * Package is compliant to Debian Policy 4.7.2 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 14 Sep 2025 20:04:42 +0200

libgwenhywfar (5.12.1-4) experimental; urgency=medium

  * Re-do transition of GwenGUI from Qt5 to Qt6 in experimental.

 -- Micha Lenk <micha@debian.org>  Sun, 07 Sep 2025 11:55:39 +0200

libgwenhywfar (5.12.1-3) unstable; urgency=medium

  * Revert transition from Qt5 to Qt6 to fix RC bug #1097194 (fixed upstream in
    5.12.1) in unstable too.

 -- Micha Lenk <micha@debian.org>  Sun, 07 Sep 2025 11:36:56 +0200

libgwenhywfar (5.12.1-2) experimental; urgency=medium

  * debian/control: Move the binary package conflict to libgwengui-qt6-dev,
    where the file conflict (header file names) really is.

 -- Micha Lenk <micha@debian.org>  Sun, 20 Jul 2025 10:09:52 +0200

libgwenhywfar (5.12.1-1) experimental; urgency=medium

  * New upstream version 5.12.1
  * debian/libgwenhywfar79t64.symbols: Add new symbols
  * Transition Qt support in GwenGUI from Qt5 to Qt6

 -- Micha Lenk <micha@debian.org>  Sat, 19 Jul 2025 16:15:52 +0200

libgwenhywfar (5.12.0-1) unstable; urgency=medium

  * New upstream version 5.12.0.
  * Drop Use_pkgconf_for_gpg-error_buildflags.patch (applied upstream).
  * debian/libgwenhywfar79t64.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Thu, 19 Dec 2024 07:49:02 +0100

libgwenhywfar (5.11.2beta-2) unstable; urgency=medium

  * Switch from pkg-config to pkgconf.
  * Use pkgconf to determine gpg-error build flags (Closes: #1076890).

 -- Micha Lenk <micha@debian.org>  Sat, 03 Aug 2024 12:05:13 +0200

libgwenhywfar (5.11.2beta-1) unstable; urgency=medium

  * New upstream version 5.11.2beta.
  * Package is compliant to Debian Policy 4.7.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 05 May 2024 16:46:23 +0200

libgwenhywfar (5.11.1beta-1) unstable; urgency=medium

  * New upstream version 5.11.1beta.
    - Drop fix_cross_compilation.patch (applied upstream).
    - debian/libgwenhywfar79t64.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Mon, 01 Apr 2024 12:29:10 +0200

libgwenhywfar (5.10.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062362

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:42:57 +0000

libgwenhywfar (5.10.2-2) unstable; urgency=medium

  * Fix FTCBFS: Use mklistdoc from installed gwenhywfar-tools (Closes: #1051173)
    and disable binreloc (causes test-crossbuild-arm64 to fail in Salsa CI).
  * debian/salsa-ci.yml: Treat test-crossbuild-arm64 failures as build failure.

 -- Micha Lenk <micha@debian.org>  Sun, 17 Sep 2023 18:26:53 +0200

libgwenhywfar (5.10.2-1) unstable; urgency=medium

  * New upstream version 5.10.2.
  * Drop 0001-Remove-duplicate-hostname-check.patch (applied upstream).
  * debian/control: Bump standards version to 4.6.2 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 13 Aug 2023 20:42:52 +0200

libgwenhywfar (5.10.1-2) unstable; urgency=medium

  * Add patch 0001-Remove-duplicate-hostname-check.patch to fix too restrictive
    SSL hostname check with SAN certifices (Closes: #1034577).

 -- Micha Lenk <micha@debian.org>  Tue, 18 Apr 2023 22:12:21 +0200

libgwenhywfar (5.10.1-1) unstable; urgency=medium

  * New upstream version 5.10.1.
  * debian/libgwenhywfar79.symbols: Add new symbols.
  * debian/control: Bump standards version to 4.6.1 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Thu, 11 Aug 2022 21:29:19 +0200

libgwenhywfar (5.9.0-1) unstable; urgency=medium

  * New upstream version 5.9.0.
  * Update debian/libgwenhywfar79.symbols.

 -- Micha Lenk <micha@debian.org>  Wed, 16 Feb 2022 21:48:36 +0100

libgwenhywfar (5.8.2-1) unstable; urgency=medium

  * New upstream version 5.8.2.

 -- Micha Lenk <micha@debian.org>  Sun, 16 Jan 2022 20:37:21 +0100

libgwenhywfar (5.8.1-1) unstable; urgency=medium

  * New upstream version 5.8.1.

 -- Micha Lenk <micha@debian.org>  Sat, 01 Jan 2022 10:43:17 +0100

libgwenhywfar (5.8.0-1) unstable; urgency=medium

  * New upstream version 5.8.0.

 -- Micha Lenk <micha@debian.org>  Thu, 16 Dec 2021 13:35:10 +0100

libgwenhywfar (5.7.4-1) unstable; urgency=medium

  * New upstream version 5.7.4.

 -- Micha Lenk <micha@debian.org>  Wed, 17 Nov 2021 22:17:20 +0100

libgwenhywfar (5.7.2-1) unstable; urgency=medium

  * New upstream version 5.7.2.
  * debian/watch: Look for signature file too.
  * debian/rules:
    - Drop override_dh_strip again, now deleting it from the .PHONY target too.
      Its left-over presence in .PHONY caused dh_strip to be skipped entirely,
      leaving binaries unstripped.
    - Drop override_dh_auto_clean and use debian/clean instead.
  * debian/control: Bump standards version to 4.6.0 (no changes needed).
  * debian/upstream: Add metadata.

 -- Micha Lenk <micha@debian.org>  Sun, 19 Sep 2021 16:50:12 +0200

libgwenhywfar (5.7.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop transition for old debug package migration.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Micha Lenk ]
  * New upstream version 5.7.1
    - Drop patch 0001-i18n-Update-German-translation.patch (applied upstream).
    - Add gwbuild tool to binary package gwenhywfar-tools.
  * debian/rules:
    - Drop obsolete explicit deletion of files (they are now cleaned up by the
      upstream build system).
    - Re-add override_dh_strip to force execution of dh_strip. Otherwise it
      wouldn't get executed at all.
  * debian/libgwenhywfar79.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Sat, 11 Sep 2021 20:27:22 +0200

libgwenhywfar (5.6.0-2) unstable; urgency=medium

  * Set debhelper-compat version in Build-Depends and really switch to
    version 13.
  * debian/not-installed: Let dh_missing know which files to ignore.

 -- Micha Lenk <micha@debian.org>  Tue, 23 Feb 2021 13:14:15 +0100

libgwenhywfar (5.6.0-1) unstable; urgency=medium

  * New upstream version 5.6.0.
  * Drop patch to enable SNI on server connection (applied upstream).
  * debian/libgwenhywfar79.symbols:
    - Add new symbols.
    - Add pattern to mark new symbols related to binreloc as optional.
      They show up as new since 5.5.0, but most likely shouldn't be there.
  * Add 0001-i18n-Update-German-translation.patch for translation update.
  * libgwenhywfar-core-dev: Stop shipping empty directory /usr/bin.
  * debian/control:
    - Bump standards version to 4.5.1 (no changes needed).
    - Bump debhelper >= 13 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 21 Feb 2021 23:19:41 +0100

libgwenhywfar (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1.
  * Add patch to enable SNI on server connection.

 -- Micha Lenk <micha@debian.org>  Tue, 08 Dec 2020 10:54:46 +0100

libgwenhywfar (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0.
  * debian/control:
    - Drop build dependency on libqt5opengl5-dev (no longer needed).
    - Add build dependency on libxml2-dev.
  * debian/libgwenhywfar79.symbols: Add new symbols.
  * debian/rules:
    - Explicitly enable compiling the LibXML2-depending code.
    - Explicitly specify directory to OpenSSL libraries. This intends to
      re-enable support for crypt tokens encrypted with the legacy OpenSSL
      based algorithm. Most likely this dropped out unnoticedly when OpenSSL
      moved its libraries to multiarch paths.

 -- Micha Lenk <micha@debian.org>  Fri, 17 Jul 2020 18:38:57 +0200

libgwenhywfar (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0.
  * debian/rules: Drop manual removal of upstream's CA bundle (the upstream
    build doesn't install it anymore).
  * debian/libgwenhywfar79.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Fri, 10 Apr 2020 20:46:38 +0200

libgwenhywfar (5.2.0-2) unstable; urgency=medium

  * Drop manpage for no longer shipped gwenhywfar-config.
  * Migrate manpage generation from asciidoc to asciidoctor.
  * debian/control: Bump standards version to 4.5.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Thu, 12 Mar 2020 20:44:23 +0100

libgwenhywfar (5.2.0-1) experimental; urgency=medium

  * New upstream version 5.2.0.
  * Rename some binary packages due to bumped SONAMEs:
    - libgwengui-gtk3-0 -> libgwengui-gtk3-79,
    - libgwengui-qt5-0 -> libgwengui-qt5-79,
    - libgwengui-fox16-0 -> libgwengui-fox16-79.
  * debian/control:
    - Mark libgwenhywfar-core-dev as Multi-Arch: same (Closes: #904743).
    - Drop meta package libgwenhywfar79-dev (not used anywhere anymore).
    - Merge binary package libgwengui-cpp0 into binary package libgwenhywfar79
      (their SONAME are now matching).
  * debian/watch: Fix regex to match stable releases too.
  * debian/libgwenhywfar79.symbols:
    - Added new symbols from libgwenhywfar.so.79,
    - Added all symbols from newly covered libgwengui-cpp.so.0.

 -- Micha Lenk <micha@debian.org>  Sun, 01 Mar 2020 11:38:03 +0100

libgwenhywfar (5.1.3-1) unstable; urgency=medium

  * New upstream version 5.1.3.

 -- Micha Lenk <micha@debian.org>  Thu, 30 Jan 2020 21:06:01 +0100

libgwenhywfar (5.1.2-2) unstable; urgency=medium

  * Upload to Debian unstable.

 -- Micha Lenk <micha@debian.org>  Fri, 24 Jan 2020 22:11:01 +0100

libgwenhywfar (5.1.2-1) experimental; urgency=medium

  * New upstream version 5.1.2.

 -- Micha Lenk <micha@debian.org>  Mon, 20 Jan 2020 21:37:50 +0100

libgwenhywfar (5.1.0-1) experimental; urgency=medium

  * New upstream version 5.1.0.
  * debian/watch:
    - Updated to catch beta and rc versions too
    - Fixed 'uscan --download'.
  * debian/control: Bump standards version to 4.4.1 (no changes needed)
  * Bump soname 78 -> 79.
  * debian/libgwenhywfar79.symbols: Updated symbols.
  * libgwenhywfar-core-dev: Drop gwenhywfar-config (use pkg-config instead)

 -- Micha Lenk <micha@debian.org>  Mon, 13 Jan 2020 18:45:46 +0100

libgwenhywfar (4.99.24rc8-1) unstable; urgency=medium

  * New upstream version 4.99.24rc8
  * debian/libgwenhywfar78.symbols: Dropped symbol GWEN_Time_toTm.

 -- Micha Lenk <micha@debian.org>  Sun, 03 Nov 2019 21:39:41 +0100

libgwenhywfar (4.99.22rc6-1) experimental; urgency=medium

  * New upstream version 4.99.22rc6.

 -- Micha Lenk <micha@debian.org>  Sun, 13 Oct 2019 20:53:30 +0200

libgwenhywfar (4.99.20rc4-1) experimental; urgency=medium

  * New upstream version 4.99.20rc4.
  * Update debian/libgwenhywfar78.symbols.

 -- Micha Lenk <micha@debian.org>  Thu, 03 Oct 2019 22:57:49 +0200

libgwenhywfar (4.99.19rc3-1) experimental; urgency=medium

  * New upstream version 4.99.19rc3.
  * Add /usr/bin/gsa to gwenhywfar-tools.
  * debian/*.install: Bump to changed installation path of header files.
  * Bump soname 60 -> 78.
  * Updated debian/libgwenhywfar78.symbols.
  * debian/changelog: Remove some trailing whitespace.
    Thanks to Lintian file-contains-trailing-whitespace.
  * debian/libgwengui-gtk3-0.symbols: Add Build-Depends-Package meta info.
    Thanks to Lintian symbols-file-missing-build-depends-package-field.
  * Bump debhelper compatibility level from 9 to 12.
  * Drop archaic debian/dirs file.
  * Drop obsolete build-depends on dh-autoreconf.

 -- Micha Lenk <micha@debian.org>  Sun, 29 Sep 2019 21:58:46 +0200

libgwenhywfar (4.20.2-1) unstable; urgency=medium

  * Switch to current Salsa CI Team pipeline.
  * New upstream version 4.20.2.
  * Drop patch fix_pkg-config_pkgincludedir.patch (applied upstream).
  * debian/control: Bump standards version to 4.4.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 29 Sep 2019 18:29:19 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgwenhywfar-doc`.
